Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.javafile
Class AbstractJavaMetadata

    java.lang.Object
      org.modeshape.sequencer.javafile.AbstractJavaMetadata

Direct Known Subclasses:
  JavaMetadata

    public abstract class AbstractJavaMetadata

extends Object

Abstract definition of a `JavaMetadata`. This class exposes some useful methods, that can be used to create meta data of a compilation unit. Methods can also separately be used.``

Constructor Summary
`AbstractJavaMetadata()`

Method Summary
`protected AnnotationMetadata` | `createAnnotationMetadataFor(org.eclipse.jdt.core.dom.Annotation annotation)`
`protected List<ImportMetadata>` | `createImportMetadata(org.eclipse.jdt.core.dom.CompilationUnit unit)` Create a set of `ImportMetadata` of a compilation unit.
`protected PackageMetadata` | `createPackageMetadata(org.eclipse.jdt.core.dom.CompilationUnit unit)` Create a `PackageMetadata` of a compilation unit.
`protected FieldMetadata` | `createParameterizedFieldMetadataFrom(org.eclipse.jdt.core.dom.Type type)` Create a `FieldMetadata` from a `Type` instance.
`protected List<TypeMetadata>` | `createTypeMetadata(org.eclipse.jdt.core.dom.CompilationUnit unit)` Create a list with all top level types of a compilation unit.
`protected MethodMetadata` | `getConstructorMetadataFrom(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration)` Get `MethodMetadata`
`protected FieldMetadata` | `getFieldMetadataFrom(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)` Gets a field meta data from `FieldDeclaration`.
`protected String` | `getFieldName(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)`
`protected MethodMetadata` | `getMethodMetadataFrom(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration)` Gets a method meta data from `MethodDeclaration`.
`protected MethodMetadata` | `getMethodTypeMemberMetadataFrom(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration)` Get `MethodMetadata`
`protected FieldMetadata` | `processArrayTypeFrom(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)` Process a `FieldDeclaration` to win information for an array type.
`protected void` | `processModifiersOfFieldDeclaration(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration, FieldMetadata fieldMetadata)` Process modifiers of a `FieldDeclaration`
`protected void` | `processModifiersOfMethodDeclaration(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration, MethodMetadata methodMetadata)` Process modifiers of a `MethodDeclaration`.
`protected void` | `processModifiersOfTypeDeclaration(org.eclipse.jdt.core.dom.AbstractTypeDeclaration typeDeclaration, TypeMetadata classMetadata)` Process modifiers of `TypeDeclaration`.
`protected FieldMetadata` | `processParameterizedType(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)` Process the parameterized type of a `FieldDeclaration`.
`protected void` | `processParametersOfMethodDeclaration(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration, MethodMetadata methodMetadata)` Process parameters of a `MethodDeclaration`.
`protected FieldMetadata` | `processPrimitiveType(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)` Process the primitive type of a `FieldDeclaration`.
`protected void` | `processReturnTypeOfMethodDeclaration(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration, MethodMetadata methodMetadata)` Process return type of a `MethodDeclaration`.
`protected FieldMetadata` | `processSimpleType(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)` Process the simple type of a `FieldDeclaration`.
`protected void` | `processVariablesOfVariableDeclarationFragment(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration, FieldMetadata fieldMetadata)` Process variables of a `VariableDeclarationFragment`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJavaMetadata

    public AbstractJavaMetadata()

Method Detail

### createImportMetadata

    protected List<ImportMetadata> createImportMetadata(org.eclipse.jdt.core.dom.CompilationUnit unit)

  Create a set of `ImportMetadata` of a compilation unit.

  Parameters:
    `unit` - - the compilation unit.
  Returns:
    all static import declarations from the compilation unit.

### createPackageMetadata

    protected PackageMetadata createPackageMetadata(org.eclipse.jdt.core.dom.CompilationUnit unit)

  Create a `PackageMetadata` of a compilation unit.

  Parameters:
    `unit` - - the compilation unit.
  Returns:
    the package meta data of a compilation unit.

### createAnnotationMetadataFor

    protected AnnotationMetadata createAnnotationMetadataFor(org.eclipse.jdt.core.dom.Annotation annotation)

### createTypeMetadata

    protected List<TypeMetadata> createTypeMetadata(org.eclipse.jdt.core.dom.CompilationUnit unit)

  Create a list with all top level types of a compilation unit.

  Parameters:
    `unit` - - the compilation unit.
  Returns:
    meta data for types in this compilation unit.

### processModifiersOfTypeDeclaration

    protected void processModifiersOfTypeDeclaration(org.eclipse.jdt.core.dom.AbstractTypeDeclaration typeDeclaration,
                                                     TypeMetadata classMetadata)

  Process modifiers of `TypeDeclaration`.

  Parameters:
    `typeDeclaration` - - the type declaration.
    `classMetadata` - - class meta data.

### getMethodMetadataFrom

    protected MethodMetadata getMethodMetadataFrom(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration)

  Gets a method meta data from `MethodDeclaration`.

  Parameters:
    `methodDeclaration` - - the MethodDeclaration.
  Returns:
    methodMetadata - the method meta data.

### getMethodTypeMemberMetadataFrom

    protected MethodMetadata getMethodTypeMemberMetadataFrom(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration)

  Get `MethodMetadata`

  Parameters:
    `methodDeclaration` -
  Returns:
    methodTypeMemberMetadata

### processReturnTypeOfMethodDeclaration

    protected void processReturnTypeOfMethodDeclaration(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration,
                                                        MethodMetadata methodMetadata)

  Process return type of a `MethodDeclaration`.

  Parameters:
    `methodDeclaration` - - the method declaration.
    `methodMetadata` - - the method meta data.

### processParametersOfMethodDeclaration

    protected void processParametersOfMethodDeclaration(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration,
                                                        MethodMetadata methodMetadata)

  Process parameters of a `MethodDeclaration`.

  Parameters:
    `methodDeclaration` - - the method declaration.
    `methodMetadata` - - the method meta data.

### getConstructorMetadataFrom

    protected MethodMetadata getConstructorMetadataFrom(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration)

  Get `MethodMetadata`

  Parameters:
    `methodDeclaration` -
  Returns:
    constructorMetadata

### getFieldMetadataFrom

    protected FieldMetadata getFieldMetadataFrom(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)

  Gets a field meta data from `FieldDeclaration`.

  Parameters:
    `fieldDeclaration` - - the declaration.
  Returns:
    fieldMetadata - meta data.

### processArrayTypeFrom

    protected FieldMetadata processArrayTypeFrom(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)

  Process a `FieldDeclaration` to win information for an array type.

  Parameters:
    `fieldDeclaration` - - field declaration
  Returns:
    an ArrayTypeFieldMetadata, that contains information about an array type.

### processSimpleType

    protected FieldMetadata processSimpleType(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)

  Process the simple type of a `FieldDeclaration`.

  Parameters:
    `fieldDeclaration` - - the field declaration.
  Returns:
    SimpleTypeFieldMetadata.

### processParameterizedType

    protected FieldMetadata processParameterizedType(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)

  Process the parameterized type of a `FieldDeclaration`.

  Parameters:
    `fieldDeclaration` - - the field declaration.
  Returns:
    ParameterizedTypeFieldMetadata.

### getFieldName

    protected String getFieldName(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)

### processPrimitiveType

    protected FieldMetadata processPrimitiveType(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration)

  Process the primitive type of a `FieldDeclaration`.

  Parameters:
    `fieldDeclaration` - - the field declaration.
  Returns:
    PrimitiveFieldMetadata.

### processModifiersOfFieldDeclaration

    protected void processModifiersOfFieldDeclaration(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration,
                                                      FieldMetadata fieldMetadata)

  Process modifiers of a `FieldDeclaration`

  Parameters:
    `fieldDeclaration` -
    `fieldMetadata` -

### processModifiersOfMethodDeclaration

    protected void processModifiersOfMethodDeclaration(org.eclipse.jdt.core.dom.MethodDeclaration methodDeclaration,
                                                       MethodMetadata methodMetadata)

  Process modifiers of a `MethodDeclaration`.

  Parameters:
    `methodDeclaration` -
    `methodMetadata` -

### createParameterizedFieldMetadataFrom

    protected FieldMetadata createParameterizedFieldMetadataFrom(org.eclipse.jdt.core.dom.Type type)

  Create a `FieldMetadata` from a `Type` instance.

  Parameters:
    `type` - - The `Type`
  Returns:
    the specific type of `FieldMetadata`

### processVariablesOfVariableDeclarationFragment

    protected void processVariablesOfVariableDeclarationFragment(org.eclipse.jdt.core.dom.FieldDeclaration fieldDeclaration,
                                                                 FieldMetadata fieldMetadata)

  Process variables of a `VariableDeclarationFragment`.

  Parameters:
    `fieldDeclaration` - - the `FieldDeclaration`
    `fieldMetadata` - - where to transfer the meta data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.